Subject: bug#36597: 27.0.50; rehash hash tables eagerly in pdumper

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 10 Aug 2020 15:04:18 +0200

Pip Cet <[email-masked]> writes:

>> So I tried applying the patch now to Emacs 28 to do some benchmarking,
>> but it didn't apply cleanly, so I gave up.
>
> I'll try to rebase them again. Does the attached work for you?

Yup.  I've now done some benchmarking with

time make -j32 compile-always

Without patch:

real	0m38.855s
real	0m40.295s
real	0m39.299s
real	0m39.864s
real	0m40.428s
real	0m40.012s
real	0m38.988s
real	0m39.807s
real	0m40.455s
real	0m37.341s
real	0m33.349s
real	0m34.379s
real	0m34.339s
real	0m33.139s
real	0m32.902s
real	0m33.755s
real	0m34.143s
real	0m34.598s
real	0m34.484s
real	0m34.342s

With patch:

real	0m36.064s
real	0m36.617s
real	0m34.502s
real	0m36.817s
real	0m31.782s
real	0m32.859s
real	0m29.779s
real	0m29.703s
real	0m30.313s
real	0m29.496s
real	0m29.585s
real	0m29.807s
real	0m30.235s
real	0m30.142s
real	0m29.960s
real	0m30.067s
real	0m30.114s
real	0m29.975s
real	0m30.388s
real	0m30.112s

Er...  It's weird that there's so much difference in time between
runs -- this is running on a machine that does nothing else and has a
load of 0.0 if I'm not compiling Emacs.

So I don't know what can be concluded here...  if we just take the mean
from these numbers, it seems that your patch is making compilation
faster.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no